Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTimeCounter Class Reference
[Engine classes]

The SoTimeCounter class is an integer counter engine. More...

`#include <Inventor/engines/SoTimeCounter.h>`

Inheritance diagram for SoTimeCounter:

List of all members.

## Public Methods
| SoTimeCounter ()
## Static Public Methods
void | initClass ()
## Public Attributes
SoSFTime | timeIn
SoSFShort | min
SoSFShort | max
SoSFShort | step
SoSFBool | on
SoSFFloat | frequency
SoMFFloat | duty
SoSFShort | reset
SoSFTrigger | syncIn
SoEngineOutput | output
SoEngineOutput | syncOut
## Protected Methods
virtual | ~SoTimeCounter ()
virtual void | inputChanged (SoField *which)
virtual void | writeInstance (SoOutput *out)

## Detailed Description

The SoTimeCounter class is an integer counter engine.

The SoTimeCounter engine is by default connected to the realTime global field, and does stepwise updates on the SoTimeCounter::output field according to the field settings.

## Constructor & Destructor Documentation

SoTimeCounter::SoTimeCounter | ( | void |  | ) |

| Default constructor.

SoTimeCounter::~SoTimeCounter | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTimeCounter::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

void SoTimeCounter::inputChanged | ( | SoField * | which | ) | `[protected, virtual]`

| Called when an input is changed. The default method does nothing, but subclasses may override this method to do the The Right Thing when a specific field is changed. Reimplemented from SoEngine.

void SoTimeCounter::writeInstance | ( | SoOutput * | out | ) | `[protected, virtual]`

| Writes all the fields contained in this instance to the output stream within out. Reimplemented from SoEngine.

## Member Data Documentation

SoSFTime SoTimeCounter::timeIn

| Running time. Connected to the realTime field by default.

SoSFShort SoTimeCounter::min

| Minimum counter value.

SoSFShort SoTimeCounter::max

| Maximum counter value.

SoSFShort SoTimeCounter::step

| Counter step size.

SoSFBool SoTimeCounter::on

| Set to `FALSE` to pause the counter.

SoSFFloat SoTimeCounter::frequency

| Number of complete cycles from the min value to the max value per second.

SoMFFloat SoTimeCounter::duty

| Used to weight step times. Supply one weight value per step.

SoSFShort SoTimeCounter::reset

| Manually set the counter to some value. If SoTimeCounter::reset is set below the SoTimeCounter::min value or above the SoTimeCounter::max value it will be clamped to the closest boundary value.

SoSFTrigger SoTimeCounter::syncIn

| Restart counter at the minimum value.

SoEngineOutput SoTimeCounter::output

| (SoSFShort) The counter value.

SoEngineOutput SoTimeCounter::syncOut

| (SoSFTrigger) Triggers every cycle start.

The documentation for this class was generated from the following files:

- SoTimeCounter.h
- SoTimeCounter.cpp